<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\Console\Commands;

use PpPhp\Core\Platform\Console\AbstractCommand;
use PpPhp\Core\Platform\Console\ConsolePath;
use PpPhp\Core\Platform\Event\Dispatcher\Runtime\DispatcherRuntimeManager;

final class DispatcherFailedCommand extends AbstractCommand
{
    public function name(): string { return 'dispatcher:failed'; }
    public function description(): string { return 'PPphp Dispatcher Failed'; }

    public function handle(array $arguments = []): int
    {
        $this->title('PPphp Dispatcher Failed');

        $manager = DispatcherRuntimeManager::instance(ConsolePath::basePath());

        $this->line('Failed: ' . $manager->consoleState()->failed());

        return 0;
    }
}
